Bug 6957 - Samba4 alpha9 crash, After process crash LDAP on port TCP 389 not available
Samba4 alpha9 crash, After process crash LDAP on port TCP 389 not available
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
Other Linux
: P3 critical
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 13:38 UTC by Matthieu Patou
Modified: 2009-12-04 03:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2009-12-02 13:38:01 UTC
A freshly recompiled (git clean -f -d + make clean + make) samba4 started in daemon mode.
One of the process (the first ?) crashed after one hour and at this moment LDAP on port TCP/389 was not anymore available (netstat -an | grep 389 showed only listening sockets on port UDP/389).

Stack trace is not very interesting: 
BACKTRACE: 38 stack frames:
 #0 /usr/local/samba/sbin/samba(call_backtrace+0x2b) [0x8a18057]
 #1 /usr/local/samba/sbin/samba(smb_panic+0x296) [0x8a183d8]
 #2 /usr/local/samba/sbin/samba [0x8a185a3]
 #3 /usr/local/samba/sbin/samba(fault_setup+0) [0x8a185d8]
 #4 [0xb7eea400]
 #5 /usr/local/samba/sbin/samba [0x84bf76d]
 #6 /usr/local/samba/sbin/samba(ldb_match_msg+0x55) [0x84bf9be]
 #7 /usr/local/samba/sbin/samba [0x85363d3]
 #8 /usr/local/samba/sbin/samba [0x8a08799]
 #9 /usr/local/samba/sbin/samba(tdb_traverse_read+0x7d) [0x8a088e3]
 #10 /usr/local/samba/sbin/samba [0x85364fe]
 #11 /usr/local/samba/sbin/samba(ltdb_search+0x275) [0x8536795]
 #12 /usr/local/samba/sbin/samba [0x8535143]
 #13 /usr/local/samba/sbin/samba(tevent_common_loop_timer_delay+0x1ad) [0x8a36514]
 #14 /usr/local/samba/sbin/samba [0x8a39248]
 #15 /usr/local/samba/sbin/samba(_tevent_loop_once+0xde) [0x8a35636]
 #16 /usr/local/samba/sbin/samba(ldb_wait+0xd4) [0x84b47c8]
 #17 /usr/local/samba/sbin/samba [0x841a680]
 #18 /usr/local/samba/sbin/samba(ldapsrv_do_call+0x199) [0x841c8c5]
 #19 /usr/local/samba/sbin/samba [0x8417d99]
 #20 /usr/local/samba/sbin/samba [0x8418137]
 #21 /usr/local/samba/sbin/samba(packet_recv+0x79b) [0x8527e6b]
 #22 /usr/local/samba/sbin/samba(ldapsrv_recv+0x9b) [0x8418230]
 #23 /usr/local/samba/sbin/samba [0x80e00eb]
 #24 /usr/local/samba/sbin/samba [0x80e0166]
 #25 /usr/local/samba/sbin/samba [0x8a38c27]
 #26 /usr/local/samba/sbin/samba [0x8a3928c]
 #27 /usr/local/samba/sbin/samba(_tevent_loop_once+0xde) [0x8a35636]
 #28 /usr/local/samba/sbin/samba(tevent_common_loop_wait+0x26) [0x8a35855]
 #29 /usr/local/samba/sbin/samba(_tevent_loop_wait+0x1d) [0x8a35913]
 #30 /usr/local/samba/sbin/samba [0x8a0e1b8]
 #31 /usr/local/samba/sbin/samba(task_server_startup+0x8f) [0x80e2836]
 #32 /usr/local/samba/sbin/samba [0x80dfd0b]
 #33 /usr/local/samba/sbin/samba(server_service_startup+0x14d) [0x80dfe8e]
 #34 /usr/local/samba/sbin/samba [0x80df141]
 #35 /usr/local/samba/sbin/samba(main+0x38) [0x80df252]
 #36 /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xc8) [0xb7b86ea8]
 #37 /usr/local/samba/sbin/samba [0x80ddfc1]
Comment 1 Andrew Bartlett 2009-12-02 15:43:41 UTC
Any chance of a valgrind?  It might help me pick apart 'use after free' or 'invalid use of stack'. 

Thanks,
Comment 2 Matthieu Patou 2009-12-03 05:06:55 UTC
ldbsearch -H ldap://adserver -k 1   samAccountName distinguishedName primaryGroupToken
Comment 3 Matthias Dieter Wallnöfer 2009-12-04 03:20:21 UTC
The crash has been fixed and the primary group token issue will be through a patch by abartlet.